﻿

.big {
    font-weight: 600;
    color: var(--text-blue);
}

#carouselCaptions img {
    border-radius: 0px 0px 30px 30px;
}


.hero-top-section {
    position: relative;
}

    .hero-top-section .carousel-item {
        position: relative;
    }

    .hero-top-section .caption {
        position: absolute;
        top: 0;
        right: 0;
        height: 100%;
        width: 100%;
        display: flex;
        align-items: center;
        flex-direction: column;
        justify-content: flex-end;
        padding-bottom: 2rem;
    }

    .hero-top-section .carousel-item {
        position: relative;
    }

        .hero-top-section .carousel-item::before {
            content: "";
            position: absolute;
            inset: 0;
            background: rgba(0, 0, 0, 0.15);
            z-index: 1;
        }

    /* Se till att caption ligger ovanpå overlay */
    .hero-top-section .caption {
        position: absolute;
        z-index: 2;
    }


@media (min-width: 576px) {

    .hero-top-section .caption {
        width: 94%;
        justify-content: center;
    }
}






@media (min-width: 992px) {
    .hero-top-section .caption {
        width: 40%;
        align-items: flex-start;
        padding-right: 2rem;
        text-align: center;
    }
}

@media (min-width: 1992px) {
    .hero-top-section .caption {
        margin-right: 10%;
    }
}


@media (min-width: 2500px) {
    .hero-top-section .caption {
        margin-right: 14%;
    }
}



.hero-top-section .caption h1 {
    margin: 1rem 2rem;
    font-size: clamp(2rem, 0.875rem + 3vw, 3.5rem);
    color: #fff;
    padding-top: 80px;
    text-align: center;
    font-weight: 400;
}

.hero-top-section .caption .btn {
    margin-top: 10px;
}


#statistics-section {
    padding: 4rem 1rem;
}

@media (min-width: 992px) {

    .hero-top-section .caption h1 {
        margin: 1rem 0;
        text-align: left;
    }


    #statistics-section {
        padding: 8rem 3rem;
    }
}

#statistics-section h2 {
    max-width: 100%;
    font-size: clamp(1.5rem, 0.5625rem + 2.5vw, 2.75rem);
}


 

#statistics-section .txt p {
    font-size: 1.375rem;
    font-weight: 600;
}




@media (min-width: 992px) {
    #statistics-section h2 {
        max-width: 80%;
    }
}


.pre-heading {
    color: var(--text-lightbrown) !important;
    font-size: 1rem !important;
    font-weight: 400;
    padding-bottom: 10px;
    text-transform: uppercase;
}

#solutions h2 {
    color: var(--text-white);
    font-size: 1rem;
    margin: 0 auto;
    margin-bottom: 1rem;
    text-transform: uppercase;
    font-weight: 500;
}

#solutions {
    background-color: var(--primary-color);
    border-radius: 18px;
}
 

#solutions h2 {
    margin: 0;
}

    #solutions .txt h2, #vision .txt h2, #vision .txt h2, #vision .vision-txt .blue {
        font-size: clamp(1.75rem, 0.8125rem + 2.5vw, 3rem);
        font-weight: 600;
        text-transform: inherit;
        padding: 1rem 0;
        max-width: 1100px;
        padding-top: 0;
    }

    #solutions h2 {
        color: var(--text-blue) !important;
        font-size: 1.375rem;
        font-weight: 600;
        text-transform: inherit;
    }


    #solutions .row {
        text-align: center;
        margin-top: 1rem;
    }

    #solutions img {
        filter: brightness(0) saturate(100%) invert(54%) sepia(68%) saturate(1764%) hue-rotate(151deg) brightness(88%) contrast(101%);
        width: 80px;
        margin: 0 auto;
        display: block;
        margin-bottom: 1rem;
    }

    #solutions .box img {
        Filter: none;
    }

#about {
}

    #about .row {
        align-items: center;
    }


    #about img {
        border-radius: 15px;
    }

    #about h2 {
        color: var(--text-blue)
    }

    #about .img {
        background-image: url(/media/cbqjgdnm/omslagsbild-andreas-andersson-scaled_small.jpg);
        background-size: cover;
        border-radius: 18px;
        aspect-ratio: 4 / 3;
    }

#vision {
    background-color: var(--secondary-color);
    border-radius: 18px;
}

    #vision .txt p {
      
    }
 

    #vision img {
        background-color: var(--primary-color-blue-dark);
    }


    #vision .vision-img-txt {
        position: relative;
        background-position: center;
        background-size: cover;
        height: 414px;
        border-radius: 25px;
        overflow: hidden;
    }

    #vision .vision-txt a {
        background-color: var(--primary-white) !important;
        color: var(--text-black);
        width: 240px;
    }

        #vision .vision-txt a:hover {
            background-color: var(--primary-color) !important;
            color: var(--text-white)
        }





@media (min-width: 576px) {

    #vision .vision-img-txt {
        background-position: bottom left;
        height: 600px;
    }
}

.vision-img-txt .overlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.4); /* adjust darkness here */
}

#vision .vision-txt {
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;
    padding: 1rem 2rem 1rem;
    max-width: 600px;
    position: relative;
    z-index: 1;
    align-items: center;
    text-align: center;
}

 







@media (min-width: 576px) {

    #vision .vision-txt {
        height: 100%;
        margin-left: 4rem;
        justify-content: center;
        align-items: flex-start;
    }

    #vision .vision-txt h2{
        text-align: left;
    }
}



#vision .vision-txt h2 {
    font-size: clamp(1.25rem, 1.125rem + 2vw, 2.25rem);
}

#vision .culture {
    display: flex;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    max-width: 700px;
    align-items: center;
    align-content: center;
    margin: 4rem auto 0;
}




#quote .image-grid {
    display: grid;
    gap: 10px;
}


    #quote .image-grid img {
        opacity: 0;
        transform: scale(0.8) translateY(40px);
        transition: all 0.6s ease;
    }

        /* When visible */
        #quote .image-grid img.show {
            opacity: 1;
            transform: scale(1) translateY(0);
        }


#quote .case .txt {
    padding-bottom: 6rem;
    text-align: center;
    max-width: 800px;
    margin: 0 auto;
}

#quote .case .content h2 {
    color: var(--text-withe)
}


#quote .case .content {
    margin-bottom: 4rem;
}

#quote .case img {
    border-radius: 18px;
}


#quote .row:nth-child(odd) {
    flex-direction: row-reverse;
}

/* Desktop */
@media (min-width: 1200px) {
    #quote .image-grid {
        grid-template-columns: repeat(6, 1fr);
    }
}

/* Tablet */
@media (max-width: 1199px) {
    #quote .image-grid {
        grid-template-columns: repeat(3, 1fr);
    }
}

/* Mobile */
@media (max-width: 600px) {
    #quote .image-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}


#quote .image-grid img {
    aspect-ratio: 3 / 2; /* perfect squares */
}

#quote .quot-txt h2 {
    text-align: center;
    margin: 0 auto;
    padding-top: 4rem;
}



#quote .testimonial-card {
    max-width: 900px;
    margin: auto;
    padding: 40px;
}

#quote .testimonial-text {
    font-size: 1.5rem;
    font-style: italic;
}

#quote .testimonial-name {
    margin-top: 20px;
    font-weight: bold;
}


#quote .carousel-item .name {
    color: var(--text-light-blue)
}

/* Optional: smoother look */
#quote .carousel-item {
    transition: transform 0.6s ease-in-out;
    min-height: 340px;
}


#quote .quot-txt button:hover {
    background-color: transparent !important;
}

#contact a:hover {
    color: #ffffff;
}



#contact .inner {
    position: relative;
    margin-bottom: 3rem;
    text-align: center;
}

#contact .contact-txt p {
    font-size: clamp(2rem, 1.6939rem + 1.3061vw, 3rem);
    font-weight: 500;
    text-transform: inherit;
    padding: 1rem 0;
    max-width: 100%;
    line-height: 1.2;
    text-transform: math-auto;
}

#contact .light-blue {
    margin: 0;
}



#contact .txt {
    text-align: left;
    margin-top: 1rem;
}


    #contact .txt h2 {
        font-size: 1.4rem;
    }

    #contact .txt .title {
        font-size: 1rem;
    }


    #contact .txt p {
        font-size: 0.75rem;
    }


    #contact .txt svg {
        color: var(--secondary-color-light);
        padding-right: 6px;
        font-size: 1rem;
    }

#contact-box {
    background-color: #EFF1F2;
    position: relative;
}

    #contact-box .black-box {
        position: absolute;
        top: 0;
        left: 0;
        height: 50%;
        width: 100%;
        background-color: #000;
    }


    #contact-box .contact-info {
        background-color: var(--primary-color);
        padding: 3rem 2rem;
        border-radius: 30px;
        position: relative;
        top: 998px;
        display: block;
        width: 93%;
        margin: 0 auto;
        top: 135%;
        width: 88%;
        max-width: 1500px;
    }


@media (min-width: 576px) {
    #contact-box .contact-info {
        padding: 4rem 4rem;
    }
}



#contact-box .contact-info .txt {
    align-items: center;
}


#contact-box .contact-info h2 {
    color: var(--text-white);
    margin: 0;
    font-size: clamp(2rem, 1.25rem + 2vw, 3rem);
    font-weight: 400;
    text-transform: inherit;
    padding-bottom: 1rem;
}

#contact-box .contact-info a {
    background-color: var(--text-white) !important;
    color: var(--primary-black) !important;
}

    #contact-box .contact-info a:hover {
        background-color: var(--primary-light) !important;
        color: var(--text-white) !important;
    }


#contact-box .contact-info p {
    color: var(--text-darkblue);
}

#contact-box .contact-info img {
    max-width: 300px;
    filter: brightness(0) saturate(100%) invert(100%) sepia(1%) saturate(7500%) hue-rotate(303deg) brightness(103%) contrast(111%);
}



.btn-dblue {
    background-color: var(--primary-color) !important;
}

    .btn-dblue:hover {
        background-color: var(--primary-color-light) !important;
    }



.reveal-on-scroll {
    transform: translateY(50px);
    transition: all 0.8s ease-out; /* Hastighet på animationen */
    will-change: transform, opacity;
}


    .reveal-on-scroll.active {
        opacity: 1;
        transform: translateY(0);
    }


#scrollToTop {
    display: none; /* Dold som standard */
    position: fixed;
    bottom: 20px;
    right: 30px;
    z-index: 99;
    border: none;
    outline: none;
    background-color: #046bd2;
    color: white;
    cursor: pointer;
    padding: 4px 7px;
    border-radius: 5px;
    font-size: 18px;
}

    #scrollToTop:hover {
        background-color: #046bd2;
    }

    #scrollToTop svg {
        margin-left: 0px;
        vertical-align: middle;
        transform: translate(0, -20%) rotate(180deg);
        width: 1em;
        fill: #fff;
    }

.top-txt-section {
    background-position: bottom center;
    background-repeat: no-repeat;
    background-size: cover;
    min-height: 88vh;
    margin: 0 0.75rem 0;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    border-radius: 0px 0px 30px 30px;
    overflow: hidden;
    padding: 0 2rem;
}

    .top-txt-section::before {
        content: "";
        position: absolute;
        inset: 0;
        background: rgba(0, 0, 0, 0.5); /* här styr du "opacity" */
        z-index: 1;
    }

.top-txt {
    position: relative;
    z-index: 2; /* ser till att texten ligger ovanpå */
}

#certificate {
    background-color: var(--secondary-color-light);
    border-radius: 18px;
}

    #certificate .txt {
        max-width: 800px;
        margin: 0 auto;
    }

    #certificate h3, #certificate .txt, #certificate p {
        margin: 0 auto;
        text-align: center;
        font-weight: 400;
    }

    #certificate img {
        max-width: 300px;
        margin: 2rem 0 0;
        filter: brightness(0) saturate(100%) invert(100%) sepia(100%) saturate(0%) hue-rotate(154deg) brightness(107%) contrast(101%);
    }


#contact .txt img {
    border-radius: 5px;
    margin-bottom: 1.4rem;
}

#contact .txt a {
    color: var(--text-white)
}

#contact .txt svg {
    color: var(--primary-color)
}

#contact .light-blue {
    color: var(--text-light-blue)
}


#contact .contact-txt {
    max-width: 100%;
    padding: 1rem 0;
}


@media (min-width: 992px) {
    #contact .contact-txt {
        max-width: 50%;
    }
}

.subpage {
    background-color: var(--text-white);
}

    .subpage h2, .subpage p {
        color: var(--text-black)
    }
